ищем CVE

Уголок параноика - по долгу службы или по велению души. Всё страшное (и не очень) про компьютерную безопасность.
Ответить
БудДен
Сообщения: 2333
Зарегистрирован: 07.10.18 14:01

ищем CVE

Сообщение БудДен » 04.05.22 23:16

Задача - найти CVE вида "локальное превышение полномочий" в ubuntu с высоким impact-ом, желательно, в настройках по умолчанию.

БудДен
Сообщения: 2333
Зарегистрирован: 07.10.18 14:01

Re: ищем CVE

Сообщение БудДен » 04.05.22 23:23

Докопался до проекта cve-search, пытаюсь поставить...

БудДен
Сообщения: 2333
Зарегистрирован: 07.10.18 14:01

Re: ищем CVE

Сообщение БудДен » 05.05.22 00:32

Что-то он долго базу лопатит, а спать уж пора. Видимо, уже в следующий раз что-нибудь поищу.

БудДен
Сообщения: 2333
Зарегистрирован: 07.10.18 14:01

Re: ищем CVE

Сообщение БудДен » 05.05.22 19:45

В общеМ, то ли санкции, то ли кривая программа, но скрипты, которые должны работать 45 минут и более, где-то довольно быстро падают. В развёрнутом виде программа есть тут:

https://cvepremium.circl.lu/

И она убогая.

БудДен
Сообщения: 2333
Зарегистрирован: 07.10.18 14:01

Re: ищем CVE

Сообщение БудДен » 05.05.22 19:46

Нашёл другое по рекламе: https://vulners.com/search



БудДен
Сообщения: 2333
Зарегистрирован: 07.10.18 14:01

Re: ищем CVE

Сообщение БудДен » 06.05.22 00:00

В конце огромный список уязвимостей. Видимо, надо тупо гуглить по новостям. Поскольку многолетних уязвимостей много,
не будет сложно сделать непрерывную линию.

CVE-2022-0847 - август 2020 - начало 2022, эскалация привелегий

CVE-2021-33909 - лето 2014 - лето 2021, эскалация привелегий, затронуты Debian, Fedora, RHEL, Ubuntu
https://www.cnews.ru/news/top/2021-07-2 ... gigantskie

CVE-2016-0728 - 2012-2016, эскалация

CVE-2003-0127 - https://www.linux.org.ru/news/security/292434 - с января 1999 по март 2003.
CVE-2016-5195 - 2006-2016 - локальная эскалация привелегий - DirtyCow

CVE-2006-3626 - 2006, нужны особые условия.

CVE-2015-0235 - 2000-2014, удалённый взлом сервера Exim, но с повышением полномочий до рута неясно.

CVE-2021-3156 - вроде повышение полномочий 2011-2021

ShellShock - удалённый доступ, но не эскалация


CVE-2017-5754 - meltdown,
Последний раз редактировалось БудДен 06.05.22 01:48, всего редактировалось 3 раза.

БудДен
Сообщения: 2333
Зарегистрирован: 07.10.18 14:01

Re: ищем CVE

Сообщение БудДен » 06.05.22 00:02

Итак, уже покрыт период с 2006 по 2022-й год, но нужно всё же сделать либо с 2000, либо хотя бы с 2002 года.

БудДен
Сообщения: 2333
Зарегистрирован: 07.10.18 14:01

Re: ищем CVE

Сообщение БудДен » 06.05.22 00:12

CVE-2015-0235
Подробнее: https://www.securitylab.ru/analytics/470861.php - не совсем ясно, всегда ли можно провести локальную эскалацию привелегий, но существовала с 2000 по 2013.

БудДен
Сообщения: 2333
Зарегистрирован: 07.10.18 14:01

Re: ищем CVE

Сообщение БудДен » 06.05.22 02:03

Всё, больше нет сил, вот последнее на сегодня: искал на ЛОРе слово "уязвимость", огромные простыни...

https://www.linux.org.ru/search.jsp?q=у ... offset=750

GLSA 200407-02

CAN-2004-0228: Due to an integer signedness error in the CPUFreq
/proc handler code in 2.6 series Linux kernels, local users can
escalate their privileges.

CAN-2004-0394: A buffer overflow in the panic() function of 2.4
series Linux kernels exists, but it may not be exploitable under
normal circumstances due to its functionality.

CAN-2004-0495: Multiple vulnerabilities found by the Sparse source
checker in the kernel allow local users to escalate their privileges
or gain access to kernel memory - вроде как начиная с 2.4.18, к-рая вышла в
25.02.2002.

CAN-2004-0535: The e1000 NIC driver does not properly initialize
memory structures before using them, allowing users to read kernel
memory.

БудДен
Сообщения: 2333
Зарегистрирован: 07.10.18 14:01

Re: ищем CVE

Сообщение БудДен » 06.05.22 02:18

CAN-2004-0415 - можно читать память ядра, но это не совсем то.
Дочитал поиск на лоре до https://www.linux.org.ru/search.jsp?q=у ... offset=900

Ответить